> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service providers for ID review

## Overview

Allows the client to retrieve a list of available service providers that can be used to review a recent ID application.

## HTTP request

`POST /Agent/Legal/GetServiceProvidersForIdReview`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"legalId": "Required(Str(PLegalId))"
}
```

## Input parameters

| Parameter | Description                                           |
| --------- | ----------------------------------------------------- |
| PLegalId  | Identity of the Legal Identity application to review. |

## Response (JSON)

```json theme={null}
{
	"Providers":
	{
		"id": Required(Str(PId)),
		"type": Required(Str(PType)),
		"name": Required(Str(PName)),
		"reviewerId": Required(Str(PReviewerId)),
		"external": Required(Boolean(PExternal)),
		"iconUrl": Optional(Str(PIconUrl)),
		"iconWidth": Optional(Int(PIconWidth)),
		"iconHeight": Optional(Int(PIconHeight))
	}?[]
}
```

## Response parameters

| Parameter   | Description                                                                                                      |
| ----------- | ---------------------------------------------------------------------------------------------------------------- |
| PId         | ID of service provider.                                                                                          |
| PType       | Type (class name) of service provider.                                                                           |
| PName       | Displayable name for service provider.                                                                           |
| PReviewerId | Identifier of Legal ID of reviewer. Use this identifier when requesting a peer review from the service provider. |
| PExternal   | If the service provider is an external party (true), or hosted on the Neuron (false).                            |
| PIconUrl    | Optional reference to icon that can be displayed together with the name.                                         |
| PIconWidth  | Width of optional icon.                                                                                          |
| PIconHeight | Height of optional icon.                                                                                         |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
